> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a character



## OpenAPI

````yaml /api/openapi.json post /v1/chars
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/chars:
    post:
      tags:
        - Characters
      summary: Create a character
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subject_id:
                  type: string
                  minLength: 1
                  maxLength: 120
                references:
                  type: object
                  properties:
                    face:
                      minItems: 4
                      maxItems: 12
                      type: array
                      items:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 512
                    body:
                      maxItems: 12
                      type: array
                      items:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 512
                    voice:
                      anyOf:
                        - type: string
                          minLength: 1
                          maxLength: 512
                  required:
                    - face
                description:
                  default: ''
                  type: string
                  maxLength: 2000
                provider_receipt:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                callback_url:
                  type: string
                  maxLength: 2048
                  format: uri
              required:
                - subject_id
                - references
      responses:
        '202':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - queued
                      - building
                      - ready
                      - failed
                  version:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - id
                  - status
                  - version
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.